#ifndef __HEROI__
#define __HEROI__

#include <allegro.h>

#define CHARSET_NAME "res/charset.bmp"
#define NUM_DIRECOES	4
#define NUM_FRAMES		2
#define TILE_SIZE		32

#define DIR_UP		0
#define DIR_RIGHT	1
#define DIR_DOWN	2
#define DIR_LEFT	3

class CHeroi
{
public:
	CHeroi(int, int, volatile unsigned int *);
	~CHeroi();
	void Draw(BITMAP*);
	int GetPosX();
	int GetPosY();

	void MoveUp();
	void MoveDown();
	void MoveLeft();
	void MoveRight();

private:
	BITMAP* charset[NUM_DIRECOES][NUM_FRAMES];
	int posX;
	int posY;
	int direcao;
	volatile unsigned int *gTime;

	void LoadCharset();

};


#endif // __HEROI__
